program GroupNotes;

uses
  ShareMem,
  Windows,
  Forms,
  WinHelpViewer,
  ORSystem,
  ORNet,
  uCore in 'uCore.pas',
  rCore in 'rCore.pas',
  uConst in 'uConst.pas',
  uPCE in 'Encounter\uPCE.pas',
  fEncounterFrame in 'Encounter\fEncounterFrame.pas' {frmEncounterFrame},
  fPCEBase in 'Encounter\fPCEBase.pas' {frmPCEBase},
  fPCELex in 'Encounter\fPCELex.pas' {frmPCELex},
  fPCEOther in 'Encounter\fPCEOther.pas' {frmPCEOther},
  fProcedure in 'Encounter\fProcedure.pas' {frmProcedures},
  fSkinTest in 'Encounter\fSkinTest.pas' {frmSkinTests},
  fVisitType in 'Encounter\fVisitType.pas' {frmVisitType},
  rPCE in 'Encounter\rPCE.pas',
  fDiagnoses in 'Encounter\fDiagnoses.pas' {frmDiagnoses},
  fPatientEd in 'Encounter\fPatientEd.pas' {frmPatientEd},
  fExam in 'Encounter\fExam.pas' {frmExams},
  fHealthFactor in 'Encounter\fHealthFactor.pas' {frmHealthFactors},
  fImmunization in 'Encounter\fImmunization.pas' {frmImmunizations},
  uInit in 'uInit.pas',
  fGAF in 'Encounter\fGAF.pas' {frmGAF},
  fPCEProvider in 'Encounter\fPCEProvider.pas' {frmPCEProvider},
  fPCEBaseGrid in 'Encounter\fPCEBaseGrid.pas' {frmPCEBaseGrid},
  fPCEBaseMain in 'Encounter\fPCEBaseMain.pas' {frmPCEBaseMain},
  fHFSearch in 'Encounter\fHFSearch.pas' {frmHFSearch},
  mVisitRelated in 'Encounter\mVisitRelated.pas' {fraVisitRelated: TFrame},
  fBase508Form in 'fBase508Form.pas' {frmBase508Form},
  uCombatVet in 'uCombatVet.pas',
  rGN_Core in 'GroupNotes\rGN_Core.pas',
  rTIU in 'rTIU.pas',
  uTIU in 'uTIU.pas',
  rMisc in 'rMisc.pas',
  uGN_Utils in 'GroupNotes\uGN_Utils.pas',
  rConsults in 'Consults\rConsults.pas',
  mTreeGrid in 'mTreeGrid.pas' {TreeGridFrame: TFrame},
  uConsults in 'Consults\uConsults.pas',
  uGlobalVar in 'uGlobalVar.pas',
  rVitals in 'Vitals\rVitals.pas',
  uVitals in 'Vitals\uVitals.pas',
  uProbs in 'uProbs.pas',
  rProbs in 'rProbs.pas',
  fPtSelDemog in 'fPtSelDemog.pas' {frmPtSelDemog},
  fGN_Page in 'GroupNotes\fGN_Page.pas' {frmPage},
  uReports in 'uReports.pas',
  fAddlSigners in 'fAddlSigners.pas' {frmAddlSigners},
  fNoteProps in 'fNoteProps.pas' {frmNoteProperties},
  fGN_ESig in 'GroupNotes\fGN_ESig.pas' {frmSignItem},
  rSurgery in 'rSurgery.pas',
  uSurgery in 'uSurgery.pas',
  fRptBox in 'fRptBox.pas' {frmReportBox},
  fEncnt in 'Encounter\fEncnt.pas' {frmEncounter},
  fGN_NoteDeleteReason in 'GroupNotes\fGN_NoteDeleteReason.pas' {frmNoteDelReason},
  fPtSelOptns in 'fPtSelOptns.pas' {frmPtSelOptns},
  fGN_RPCLog in 'GroupNotes\fGN_RPCLog.pas' {frmBroker},
  fGN_About in 'GroupNotes\fGN_About.pas' {frmAbout},
  uGN_Const in 'GroupNotes\uGN_Const.pas',
  fEncVitals in 'Encounter\fEncVitals.pas' {frmEncVitals},
  fBase508Dialog in 'fBase508Dialog.pas' {frmBase508Dialog},
  fGN_Wait in 'GroupNotes\fGN_Wait.pas' {frmGN_Wait},
  uGN_ChangeLog in 'GroupNotes\uGN_ChangeLog.pas',
  dmGN_Common in 'GroupNotes\dmGN_Common.pas' {dmGN: TDataModule},
  fGN_PtSel in 'GroupNotes\fGN_PtSel.pas' {frmGNPtSel},
  fGN_SelectedPatients in 'GroupNotes\fGN_SelectedPatients.pas' {frmGN_SelectedPatients},
  fGN_Encounter in 'GroupNotes\fGN_Encounter.pas' {frmGNEncounter},
  fGN_GroupEncounter in 'GroupNotes\fGN_GroupEncounter.pas' {frmGN_GroupEncounter},
  fGN_MainFrame in 'GroupNotes\fGN_MainFrame.pas' {frmGNMainFrame},
  oGN_PtData in 'GroupNotes\oGN_PtData.pas',
  fWordNotify in 'SpellCheck\fWordNotify.pas' {frmWordNotify},
  uLog in 'SpellCheck\uLog.pas',
  uWordSpell in 'SpellCheck\uWordSpell.pas',
  fDupPts in 'fDupPts.pas' {frmDupPts},
  uGN_RPCLog in 'GroupNotes\uGN_RPCLog.pas',
  fDeviceSelect in 'fDeviceSelect.pas' {frmDeviceSelect},
  U_HelpMGR in 'U_HelpMGR.pas',
  fGN_Timeout in 'GroupNotes\fGN_Timeout.pas' {frmTimeout},
  fVitalsDate in 'Vitals\fVitalsDate.pas' {frmVitalsDate},
  mVitBase in 'Vitals\mVitBase.pas' {fraVitBase: TFrame},
  mVitMetric in 'Vitals\mVitMetric.pas' {fraVitMetric: TFrame},
  U508Extensions in 'Tools\U508Extensions.pas',
  uUtilities in 'Tools\uUtilities.pas',
  UCaptionListView508Manager in 'Tools\UCaptionListView508Manager.pas',
  fGN_Debug in 'GroupNotes\fGN_Debug.pas' {frmDebug};

{$R *.RES}
//
// I16875276FY18 -- Application abnormally ends with External Exception C0000006.
// http://devzone.advantagedatabase.com/dz/Content.aspx?Key=17&RefNo=101230-2385
//{ $ SETPEFLAGS IMAGE_FILE_REMOVABLE_RUN_FROM_SWAP}
//

var
  b: boolean;

begin
  if not BorlandDLLVersionOK then
    exit; // Exit immediately if old or missing BORLNDMM.DLL
  Application.Initialize;
  SplashAbout; // show splash screen

  b := False;
  try
    b := ConnectToServer('OR CPRS GUI CHART');
{$IFDEF DEBUG}
    b := b and IsCorrectVersion(True); // DEBUG builds ignore version check
{$ELSE}
    b := b and IsCorrectVersion(False);
{$ENDIF}
  except
  end;

  if b then
  begin
    Application.CreateForm(TdmGN, dmGN);
    Application.CreateForm(TfrmGNMainFrame, frmGNMainFrame);
    Application.Title := 'CPRS - Group Notes';
    Application.HelpFile := 'CPRSGN.CHM';
    Application.Run;
  end
  else
    Application.Terminate;

end.
