unit fBase508Dialog;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, fBase508Form, VA508AccessibilityManager,
  Vcl.StdCtrls, Vcl.ExtCtrls,u508Extensions;

type
  TfrmBase508Dialog = class(TfrmBase508Form)
    pnlBaseButtons: TPanel;
    pnlBaseCanvas: TPanel;
    cmdOK: u508Extensions.TButton;
    cmdCancel: u508Extensions.TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmBase508Dialog: TfrmBase508Dialog;

implementation

{$R *.dfm}

uses uGlobalVar;

procedure TfrmBase508Dialog.FormCreate(Sender: TObject);
begin
  inherited;
  pnlBaseButtons.Height := guiBaseButtonHeight;
end;

// T13 - adding default escape
procedure TfrmBase508Dialog.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  inherited;
  if Key  = VK_ESCAPE then
    begin
      ModalResult := mrCancel;
      Key := 0;
    end;
end;

end.
