unit fGN_Encounter;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Buttons, ExtCtrls, ComCtrls, ORCtrls, fGN_MainFrame, StdCtrls,
  ORDtTm,
  fGN_Page, ORFn, uPCE, rPCE, uCore, rCore, uTIU, rTIU, uConst, rConsults,
  Menus, ToolWin, ActnList, fAddlSigners, System.Actions, System.UITypes,
  fGN_PtSel, System.ImageList, Vcl.ImgList, oGN_PtData, Vcl.StdActns
  , u508Extensions, VA508AccessibilityManager
  ;

type
  TfrmGNEncounter = class(TfrmPage)
    pnlLeft: TPanel;
    splPatients: TSplitter;
    pnlRight: TPanel;
    pnlEncounter: TPanel;
    txtPCEData: TMemo;
    pnlNote: TPanel;
    lblEnctInfo: TLabel;
    pnlBaseNote: TPanel;
    memCommNote: TMemo;
    splNote: TSplitter;
    pnlSingleNote: TPanel;
    lblIndvNoteInfo: TLabel;
    memIndvNote: TMemo;
    mmEncounter: TMainMenu;
    mnBacktoPatientSelection: TMenuItem;
    StartNewGroupPatients1: TMenuItem;
    alEncounter: TActionList;
    actNewNote: TAction;
    actChangeNote: TAction;
    actSaveNoSig: TAction;
    actSignNote: TAction;
    actForAllPatients: TAction;
    actNewEncounter: TAction;
    actEditEncounter: TAction;
    pnlBasicEncounter: TPanel;
    lblBasicEnct: TLabel;
    mnAction: TMenuItem;
    mnNewProgressNote: TMenuItem;
    mnChangeTitle: TMenuItem;
    mnSavewithoutSignature: TMenuItem;
    mnSignNoteNow: TMenuItem;
    mnIdentifyAdditionalSigners: TMenuItem;
    mnNewEncounter: TMenuItem;
    mnEditEncounter: TMenuItem;
    N1: TMenuItem;
    N2: TMenuItem;
    mnForAllPatients: TMenuItem;
    N7: TMenuItem;
    popMenu: TPopupMenu;
    pm3ForAllPatients: TMenuItem;
    MenuItem2: TMenuItem;
    pm3NewNote: TMenuItem;
    pm3ChangeTitle: TMenuItem;
    MenuItem7: TMenuItem;
    pm3NewEncounter: TMenuItem;
    pm3EditEncounter: TMenuItem;
    MenuItem10: TMenuItem;
    pm3SaveWithoutSignature: TMenuItem;
    pm3SignNote: TMenuItem;
    pm3IdentifyAdditionalSigner: TMenuItem;
    actIdentifyAdditionalSigner: TAction;
    N10: TMenuItem;
    ChangeNote1: TMenuItem;
    acUpdateBasicEncounter: TAction;
    N3: TMenuItem;
    Update1: TMenuItem;
    acDebugView: TAction;
    pnlNoteTools: TPanel;
    pnlEncounterTools: TPanel;
    pnlPatient: TPanel;
    lblNote: TLabel;
    ckbForAll: TCheckBox;
    splEncounter: TSplitter;
    bvlBasicInfo: TBevel;
    pnlNoteShared: TPanel;
    acSelectPatients: TAction;
    acDeletePatient: TAction;
    pnlEncounterDetails: TPanel;
    ToolBar6: TToolBar;
    ToolButton18: TToolButton;
    ToolBar7: TToolBar;
    ToolButton21: TToolButton;
    ToolBar9: TToolBar;
    ToolButton23: TToolButton;
    lstPatients: TListBox;
    acSpellCheck: TAction;
    acGrammarCheck: TAction;
    SpellCheck1: TMenuItem;
    GrammarCheck1: TMenuItem;
    SpellCheck2: TMenuItem;
    GrammarCheck2: TMenuItem;
    N4: TMenuItem;
    Copy1: TMenuItem;
    Paste1: TMenuItem;
    PopupMenuIdv: TPopupMenu;
    MenuItem1: TMenuItem;
    MenuItem3: TMenuItem;
    MenuItem4: TMenuItem;
    MenuItem5: TMenuItem;
    MenuItem6: TMenuItem;
    MenuItem8: TMenuItem;
    MenuItem9: TMenuItem;
    MenuItem11: TMenuItem;
    MenuItem12: TMenuItem;
    MenuItem13: TMenuItem;
    MenuItem14: TMenuItem;
    MenuItem15: TMenuItem;
    MenuItem16: TMenuItem;
    MenuItem17: TMenuItem;
    N5: TMenuItem;
    Copy2: TMenuItem;
    Paste2: TMenuItem;
    acFileOpen: TFileOpen;
    N6: TMenuItem;
    Paste3: TMenuItem;
    EditCopy1: TEditCopy;
    Copy3: TMenuItem;
    EditCopy2: TEditCopy;
    pnlCanvas: TPanel;
    acCPCollapse: TAction;
    DetailsCollapseExpand1: TMenuItem;
    pnlToolbar: TPanel;
    Button2: u508Extensions.TButton;
    Button3: u508Extensions.TButton;
    Button4: u508Extensions.TButton;
    Button5: u508Extensions.TButton;
    Button6: u508Extensions.TButton;
    Button7: u508Extensions.TButton;
    btnAddSigners: u508Extensions.TButton;
    bbUpdate: u508Extensions.TButton;
    lblSelectedPatients: TLabel;
    lblPatient: TStaticText;
    lblBaseNoteInfo: TStaticText;
    lblNoteShared: TStaticText;
    DebugView1: TMenuItem;
    acErase: TAction;
    EraseEncounter1: TMenuItem;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure lstPatientsClick(Sender: TObject);
    procedure pnlAllPatientsClick(Sender: TObject);
    procedure btnPrevClick(Sender: TObject);
    procedure memCommNoteExit(Sender: TObject);
    procedure memIndvNoteExit(Sender: TObject);
    procedure btnStartOverClick(Sender: TObject);
    procedure pm1SpellcheckClick(Sender: TObject);
    procedure pm1GrammarCheckClick(Sender: TObject);
    procedure pm2GrammarCheckClick(Sender: TObject);
    procedure pm2SpellCheckClick(Sender: TObject);
    procedure actNewNoteExecute(Sender: TObject);
    procedure actForAllPatientsExecute(Sender: TObject);
    procedure actChangeNoteExecute(Sender: TObject);
    procedure actSignNoteExecute(Sender: TObject);
    procedure actNewEncounterExecute(Sender: TObject);
    procedure memCommNoteEnter(Sender: TObject);
    procedure memIndvNoteEnter(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure actIdentifyAdditionalSignerExecute(Sender: TObject);
    procedure actSaveNoSigExecute(Sender: TObject);
    procedure pnlBaseNoteResize(Sender: TObject);
    procedure pnlSingleNoteResize(Sender: TObject);
    procedure acUpdateBasicEncounterExecute(Sender: TObject);
    procedure acDebugViewExecute(Sender: TObject);
    procedure acSelectPatientsExecute(Sender: TObject);
    procedure memCommNoteChange(Sender: TObject);
    procedure pnlDetailsResize(Sender: TObject);
    procedure acGrammarCheckExecute(Sender: TObject);
    procedure acSpellCheckExecute(Sender: TObject);
    procedure memCommNoteDblClick(Sender: TObject);
    procedure memIndvNoteDblClick(Sender: TObject);
    procedure actEditEncounterExecute(Sender: TObject);
    procedure acFileOpenAccept(Sender: TObject);

    procedure Paste1Click(Sender: TObject);
    procedure Paste3Click(Sender: TObject);
    procedure splNoteMoved(Sender: TObject);
    procedure pnlNoteResize(Sender: TObject);
    procedure pnlEncounterResize(Sender: TObject);
    procedure splEncounterMoved(Sender: TObject);
    procedure acEraseExecute(Sender: TObject);
  private
    fBaseNoteHeight,
    FVerifyNoteTitle: Integer;

    fBasicEncounterCreated,
    fNotesCreated,
    fEncountersCreated,
    fNotesSigned: boolean;

    // PCE section
    procedure RemovePCEFromChanges(IEN: Int64; AVisitStr: string = '');
//    function EditPCEData(const aPCEData: TPCEData): boolean;
    // note section
    procedure populatePtList(aList: TList);
    function LacksRequiredForCreate(ANote: TEditNoteRec): boolean;
    function VerifyNoteTitle: boolean;
    function LockNote(AnIEN: Int64): boolean;
    procedure EncounterEnable(TheEnable: boolean);
    procedure ShowBasicEnctInfo;
    function NeedTOSign: boolean;
    procedure DeleteCurrentNotes(onlyEmptyNotes: boolean);
    // casecade update through different controls
    procedure UpdateControlsAfterSign(IsSigned: boolean);

//    procedure NoteEnable(ANote: TRichEdit; TheEnable: boolean);
    procedure NoteEnable(ANote: TMemo; TheEnable: boolean);
    procedure SelectPatientByDFN(aDFN: String);
    procedure ShowPatientInfo(APatientData: TPatientData;
      ShowEncounter: boolean = false);

    function BasicEncounterUpdate: boolean;
    procedure UpdateCommonNotes;
    procedure UpdateSingleNotes;

    function IsEnabledSign: boolean;
    function IsEnabledSaveNoSign: boolean;
    function ptListHasData: boolean;

    function doNewNote(aChangeNote: Boolean = False): boolean;
    function doChangeNote: boolean;
    function doSignNote: boolean;
    procedure doAddSigners;

    function doSingleEncounter(bEdit: Boolean): boolean;
    function doMultipleEncounters(bEdit: Boolean): boolean;

    function SaveWithoutSigning: String;

    procedure setNotesCreated(aValue: boolean);
    procedure setNotesSigned(aValue: boolean);
    procedure setEncountersCreated(aValue: boolean);
    procedure setBasicEncounterCreated(aValue: boolean);

    procedure AlignHelpMenu;
    procedure SetBySelectedPatient(aPatient:TPatient);

    procedure Paste2Re(aRe: TMemo); // T17 replaces TRichEdit with TMemo
    function NotesToSign: Integer;


  public
    _PtList: TList;

    property BaseNoteHeight: Integer read fBaseNoteHeight write fBaseNoteHeight;
    property BasicEncounterCreated: boolean read fBasicEncounterCreated
      write setBasicEncounterCreated;
    property NotesCreated: boolean read fNotesCreated write setNotesCreated;
    property NotesSigned: boolean read fNotesSigned write setNotesSigned;
    property EncountersCreated: boolean read fEncountersCreated
      write setEncountersCreated;

    function getPatient: TPatient;
    function GetPatientData(APatient: TPatient): TPatientData; overload;
    function GetPatientData: TPatientData; overload;

    procedure SetPatientData(APatient: TPatient; APCEData: TPCEData;
      ANote: TEditNoteRec); overload;
    procedure SetPatientData(APatient: TPatient; ANote: TEditNoteRec); overload;

    procedure SetFontSize(FontSize: Integer); override;
    procedure DoStartOver;
    procedure setLayout(aLayout: String);

    procedure UpdateDebugInfo(aName: String; APatientData: TPatientData;
      anEncounter: TEncounter; aClear: boolean = TRUE);

    procedure doForAll(aGroup: boolean);
    procedure forceAll;

    function getMinWidth: Integer;
    procedure setActionStatus(aData:TPatientData; aGroup:Boolean);
  end;

var
  frmGNEncounter: TfrmGNEncounter;
  SelectedPatient: string; // highlighted patient on individual patient edit
  StartOver: boolean;

implementation

uses
  fEncnt,
  fNoteProps,
  fGN_ESig
  // , uSpell - original - uses separate Word instances for every check
  , uWordSpell  // modified - uses one Word instance per application session
  , fGN_NoteDeleteReason, rGN_Core, fEncounterFrame, uGN_Utils, dmGN_Common
  , uReports, uGN_Const, ClipBrd, uGlobalVar, VAUtils, uGN_RPCLog;

{$R *.dfm}

const
//  NT_NEW_NOTE = -10; // Holder IEN for a new note
  NT_ADDENDUM = -20; // Holder IEN for a new addendum

  TX_CREATE_ERR = 'Error Creating Note';
  TX_COSIGN = 'Cosign Note';
  TX_SIGN = 'Sign Note';
  TX_AUTH_SIGNED =
    'Author has not signed, are you SURE you want to sign.' + CRLF;
//  TX_ABSAVE = 'It appears the session terminated abnormally when this' + CRLF +
//    'note was last edited. Some text may not have been saved.' + CRLF + CRLF +
//    'Do you wish to continue and sign the note?';
  TX_UNSIGNNOTES =
    'There are unsigned notes for group patients, would you like to sign them?';
//  TC_ABSAVE = 'Possible Missing Text';
  TC_NO_LOCK = 'Unable to Lock Note';

  TX_NOPCE_TXT = 'You can not edit encounter information because ';
  TX_NOPCE_TXT1 = 'the encounter date is in the future.';
  TX_NOPCE_TXT2 = 'encounter entry has been disabled.';
  TX_NOPCE_HDR = 'Can not edit encounter';

procedure setLines(var aLines: TStrings);
begin
  if assigned(aLines) then
    aLines.Clear
  else
    aLines := TSTringList.Create;
end;

procedure setNoteRecord(var ANote: TEditNoteRec);
begin
  with ANote do
  begin
    DocType := TYP_PROGRESS_NOTE;
    IsNewNote := TRUE;
    Title := DfltNoteTitle;
    TitleName := DfltNoteTitleName;
    DateTime := FMNow;
    Author := User.DUZ;
    AuthorName := User.Name;
    Location := Encounter.Location;
    LocationName := Encounter.LocationName;
    VisitDate := Encounter.DateTime;
  end;
end;

procedure clearNoteRecord(var ANote: TEditNoteRec);
begin
  FillChar(ANote, SizeOf(ANote), 0); // not needed after ClearNote
  setNoteRecord(ANote); // defaults
end;

procedure setNoteRecordGenLines(var aNoteRec: TEditNoteRec);
var
  SL: TSTringList;
begin
  SL := nil;
  try
    SL := TStringList.Create;
    LoadBoilerPlate(SL, aNoteRec.Title);
    // save boilerplate text into note.genLines
    if SL.Count > 0 then
    begin
      if not assigned(aNoteRec.GenLines) then
        aNoteRec.GenLines := TSTringList.Create;
      aNoteRec.GenLines.Assign(SL);
    end;
  finally
    SL.Free;
  end;
end;

function CreateAndLockNewProgressNote(var aCreatedDoc: TCreatedDoc;
  var aNoteRec: TEditNoteRec; var APatientData: TPatientData): boolean;
begin
  Result := false;
  PutNewNote(aCreatedDoc, aNoteRec, APatientData.Patient.DFN);
  // 2FA  Creates new note on Server

  if aCreatedDoc.IEN > 0 then
  begin
    LockDocument(aCreatedDoc.IEN, aCreatedDoc.ErrorText);

    if Length(aCreatedDoc.ErrorText) > 0 then
    begin
      InfoBox('For patient ' + APatientData.Patient.Name +
        aCreatedDoc.ErrorText, TX_CREATE_ERR, MB_OK);
    end
    else
    begin
      Result := TRUE;
      setNoteRecordGenLines(aNoteRec);
      APatientData.PtNote := aNoteRec;
      APatientData.PtNote.NoteIEN := aCreatedDoc.IEN;
      aNoteRec.NoteIEN := aCreatedDoc.IEN;
    end;
  end;
end;

function UpdateChanges(aCreatedDoc: TCreatedDoc; aNoteRec: TEditNoteRec;
  APatientData: TPatientData): boolean;
begin
  APatientData.PCEData.NoteIEN := aNoteRec.NoteIEN;
  Changes.Add(CH_DOC, IntToStr(aCreatedDoc.IEN), aNoteRec.TitleName +
    ' for patient ' + APatientData.Patient.Name, '', CH_SIGN_YES);

  if aNoteRec.ErrTxt = '' then // AA: I don't see ErrTxt is assigned anywhere
  begin
    setNoteRecordGenLines(aNoteRec);
    APatientData.PtNote := aNoteRec;
  end;
  Result := TRUE;
end;

function AllPCEtoString:String;
var
  i: integer;
  aPatData: TPatientData;
begin
  Result := '';
  for i := 0 to GNPtList.Count - 1 do
    begin
      aPatData := TPatientData(GNPtList.Items[i]);
      Result := Result + 'Patient: ' + aPatData.Patient.Name  + CRLF +
//        PCEDataToSTring(aPCE) + CRLF +
        aPatData.PCESummary + CRLF +
        '--------------------------' + CRLF;
    end;
end;

/// /////////////////////////////////////////////////////////////////////////////

procedure TfrmGNEncounter.SelectPatientByDFN(aDFN: string);
var
  i: Integer;
begin
  if Length(aDFN) > 0 then
  begin
    for i := 0 to lstPatients.Items.Count - 1 do
    begin
      if not assigned(lstPatients.Items.Objects[i]) then
      begin
        InfoBox('NOTE: No patient assigned to item ' + IntToStr(i),'Selecting Patient',MB_OK + MB_ICONWARNING);
        continue;
      end;
      if TPatient(lstPatients.Items.Objects[i]).DFN = aDFN then
      begin
        lstPatients.ItemIndex := i;
        lstPatientsClick(Self);
      end;
    end;
  end;
end;

procedure TfrmGNEncounter.populatePtList(aList: TList);
var
  i: Integer;
  APatient: TPatient;
begin
  lstPatients.Clear;
  if not assigned(aList) then
    exit;
  for i := 0 to aList.Count - 1 do
  begin
    APatient := TPatientData(aList.Items[i]).Patient;
    lstPatients.AddItem(APatient.Name, APatient);
  end;

  SelectPatientByDFN(SelectedPatient);
end;

procedure TfrmGNEncounter.FormShow(Sender: TObject);
begin
  inherited;
  NoteEnable(memCommNote, false);
  NoteEnable(memIndvNote, false);
  EncounterEnable(false);

  populatePtList(_PtList);
  ShowBasicEnctInfo;

  actForAllPatients.Checked := lstPatients.Items.Count > 1;
  GroupEdit := lstPatients.Items.Count > 1;

  if lstPatients.Count = 1 then
  begin
    lstPatients.ItemIndex := 0;
    lstPatientsClick(lstPatients);
  end
  else
    doForAll(GroupEdit);

  AlignHelpMenu;

  if width < getMinWidth then
    width := getMinWidth;

//  actSignNote.Enabled := false;
//  actSaveNoSig.Enabled := false;
//  actChangeNote.Enabled := false;
//  actEditEncounter.Enabled := false;
//  actIdentifyAdditionalSigner.Enabled := false;
//  actForAllPatients.Enabled := TRUE;
//  acUpdateBasicEncounter.Enabled := TRUE;

  setActionStatus(nil, GroupEdit);

  bbUpdate.Left := bbUpdate.Left + 1;
end;

procedure TfrmGNEncounter.SetFontSize(FontSize: Integer);
var
  x, i: Integer;

begin
  inherited;
  font.Size := FontSize;
  AdjustBtn(bbUpdate);
  lblBasicEnct.font.Size := FontSize;
  bbUpdate.font.Size := FontSize;

  memCommNote.font.Size := FontSize;
  memIndvNote.font.Size := FontSize;
  txtPCEData.font.Size := FontSize;

  x := getMainFormTextHeight;
  pnlBasicEncounter.Height := GAP_TOOLBAR + x;
  pnlToolbar.Height := pnlBasicEncounter.Height;

  x := x + 6;
  pnlNoteTools.Height := x;
  pnlNoteShared.Height := x;
  pnlPatient.Height := x;
  lblSelectedPatients.Height := x;

  ckbForAll.width := canvas.TextWidth(ckbForAll.Caption) + 32;

  x := canvas.TextWidth('New Encounter...') + 8;
  for i := 0 to pnlToolbar.ControlCount - 1 do
    if pnlToolbar.Controls[i] is TButton then
      TButton(pnlToolbar.Controls[i]).width := x;
end;

function TfrmGNEncounter.LacksRequiredForCreate(ANote: TEditNoteRec): boolean;
var
  CurTitle: Integer;
begin
  Result := false;
  with ANote do
  begin
    if Title <= 0 then
      Result := TRUE;
    if Author <= 0 then
      Result := TRUE;
    if DateTime <= 0 then
      Result := TRUE;
    if IsConsultTitle(Title) and (PkgIEN = 0) then
      Result := TRUE;

    if (DocType = TYP_ADDENDUM) then
    begin
      if AskCosignerForDocument(Addend, Author, DateTime) and (Cosigner <= 0)
      then
        Result := TRUE;
    end
    else
    begin
      if Title > 0 then
        CurTitle := Title
      else
        CurTitle := DocType;
      if AskCosignerForTitle(CurTitle, Author, DateTime) and (Cosigner <= 0)
      then
        Result := TRUE;
    end;
  end;
end;

function TfrmGNEncounter.VerifyNoteTitle: boolean;
const
  VNT_UNKNOWN = 0;
  VNT_NO = 1;
  VNT_YES = 2;
var
  AParam: string;
begin
  if FVerifyNoteTitle = VNT_UNKNOWN then
  begin
    AParam := GetUserParam('ORWOR VERIFY NOTE TITLE');
    if AParam = '1' then
      FVerifyNoteTitle := VNT_YES
    else
      FVerifyNoteTitle := VNT_NO;
  end;
  Result := FVerifyNoteTitle = VNT_YES;
end;

function TfrmGNEncounter.GetPatientData(APatient: TPatient): TPatientData;
begin
  Result := nil;
  if assigned(APatient) then
    Result := rGN_Core.GetPatientData(APatient.DFN);
end;

function TfrmGNEncounter.GetPatientData: TPatientData;
begin
  Result := getPatientData(getPatient);
end;

procedure TfrmGNEncounter.SetPatientData(APatient: TPatient; APCEData: TPCEData;
  ANote: TEditNoteRec);
var
  i: Integer;
begin
  for i := 0 to GNPTList.Count - 1 do
  begin
    if (TPatientData(GNPTList.Items[i]).Patient.DFN = APatient.DFN) then
    begin
      APCEData.CopyPCEData(TPatientData(GNPTList.Items[i]).PCEData);
      TPatientData(GNPTList.Items[i]).PtNote := ANote;
    end;
  end;
end;

procedure TfrmGNEncounter.SetPatientData(APatient: TPatient;
  ANote: TEditNoteRec);
var
  i: Integer;
begin
  for i := 0 to GNPTList.Count - 1 do
  begin
    if (TPatientData(GNPTList.Items[i]).Patient.DFN = APatient.DFN) then
      TPatientData(GNPTList.Items[i]).PtNote := ANote;
  end;
end;

procedure TfrmGNEncounter.RemovePCEFromChanges(IEN: Int64; AVisitStr: string);
begin
  if IEN = NT_ADDENDUM then
    exit; // no PCE information entered for an addendum
  // do we need to call DeletePCE(AVisitStr), as was done with NT_NEW_NOTE (ien=-10)???
  if AVisitStr = '' then
    AVisitStr := VisitStrForNote(IEN);

  Changes.Remove(CH_PCE, 'V' + AVisitStr);
  Changes.Remove(CH_PCE, 'P' + AVisitStr);
  Changes.Remove(CH_PCE, 'D' + AVisitStr);
  Changes.Remove(CH_PCE, 'I' + AVisitStr);
  Changes.Remove(CH_PCE, 'S' + AVisitStr);
  Changes.Remove(CH_PCE, 'A' + AVisitStr);
  Changes.Remove(CH_PCE, 'H' + AVisitStr);
  Changes.Remove(CH_PCE, 'E' + AVisitStr);
  Changes.Remove(CH_PCE, 'T' + AVisitStr);
end;
(*
function TfrmGNEncounter.EditPCEData(const aPCEData: TPCEData): boolean;
begin
{$IFDEF DEBUG}
  addLogLine(PCEDataToString(aPCEData), 'EditPCEData: aPatientData');
{$ENDIF}
  Result := false;
  if assigned(aPCEData) then
  begin
    if not CanEditPCE(aPCEData) then
    begin
      if FutureEncounter(aPCEData) then
        InfoBox(TX_NOPCE_TXT + TX_NOPCE_TXT1, TX_NOPCE_HDR,
          MB_OK or MB_ICONWARNING)
      else
        InfoBox(TX_NOPCE_TXT + TX_NOPCE_TXT2, TX_NOPCE_HDR,
          MB_OK or MB_ICONWARNING);
    end
    else
    begin
      aPCEData.CopyPCEData(uEncPCEData);
      Result := UpdatePCE(uEncPCEData, GroupEdit);
    end;
  end
  else
    InfoBox('EditPCEData: ' + TX_NOPCE_TXT1, AppTitle, MB_OK + MB_ICONERROR); // T13
end;
*)
procedure TfrmGNEncounter.ShowPatientInfo(APatientData: TPatientData;
  ShowEncounter: boolean = false);
var
  sNoteStatus,
  sTitle, s: String;
begin
  s := '';
  sTitle := APatientData.PtNote.TitleName;

  if (sTitle <> '') then
    begin
      if pos('&&', sTitle) = 0 then
        sTitle := StringReplace(sTitle, '&', '&&', [rfReplaceAll]);
      case aPatientData.PtNote.SignStatus of
        SS_NEW: sNoteStatus :=           ' ';
        SS_NOT_CONFIRMED: sNoteStatus := ' Not Confirmed';
        SS_SIGNED: sNoteStatus :=        ' Signed';
        SS_NOT_SIGNED: sNoteStatus :=    ' Not Signed';
        SS_SAVED: sNoteStatus :=         ' Saved';
        SS_ERROR_SAVING: sNoteStatus :=  ' Error saving';
      else
        sNoteStatus :=                   ' Unknown';
      end;
      sTitle := ' Title: ' + sTitle + ' ' + sNoteStatus;
    end
  else
    sTitle := ' ';

  if assigned(APatientData) then    // AA 20210330 removing SSN
    s := APatientData.Patient.Name; // + ' (' + APatientData.Patient.SSN + ') ';

  lblNote.Visible := pnlPatient.Visible;
  pnlNoteShared.Visible := pnlPatient.Visible;

  if pnlPatient.Visible then
  begin
    lblBaseNoteInfo.Caption := sTitle;
    lblIndvNoteInfo.Caption := sTitle;
    lblIndvNoteInfo.Visible := false;
    if ShowEncounter then
      lblEnctInfo.Caption := 'Encounter data for ' + s;
  end
  else
  begin
    lblBaseNoteInfo.Caption := 'Co&mmon note content for ' + s + sTitle;
    lblIndvNoteInfo.Caption := 'A&dditional note text for ' + s + sTitle;

    if ShowEncounter then
      lblEnctInfo.Caption := 'Encounter data for ' + s;
  end;

  if s = '' then
    s := 'No Patient selected'
  else
    s := 'Patient: ' + s;
  lblPatient.Caption := s;
end;

procedure TfrmGNEncounter.splEncounterMoved(Sender: TObject);
begin
  inherited;
  splEncounter.Top := pnlNote.Top + pnlNote.Height;
end;

procedure TfrmGNEncounter.splNoteMoved(Sender: TObject);
begin
  inherited;
  if splNote.Top < pnlBaseNote.Top + pnlBaseNote.Height then
    splNote.Top := pnlBaseNote.Top + pnlBaseNote.Height;

  if pnlBaseNote.Height > pnlNote.Height - pnlSingleNote.Constraints.MinHeight then
    pnlBaseNote.Height := pnlNote.Height - pnlSingleNote.Constraints.MinHeight;

  fBaseNoteHeight := pnlBaseNote.Height;
end;

procedure TfrmGNEncounter.lstPatientsClick(Sender: TObject);
var
  i: Integer;
  aPat: TPatient;
begin
  i := lstPatients.ItemIndex;
  if i > -1 then   // No changes if clicked outside of the Pt.List
  begin
    GroupEdit := false;

    // comment out if a New note can be created for one patient;
    // actNewNote.Enabled := False;

    actForAllPatients.Checked := False;

    lstPatients.MultiSelect := false;
    aPat := TPatient(lstPatients.Items.Objects[i]);

    SetBySelectedPatient(aPat);

    pnlBaseNote.Align := alTop;

    if fBaseNoteHeight = 0 then
      pnlBaseNote.Height := pnlNote.Height div 3
    else
      pnlBaseNote.Height := fBaseNoteHeight;

    Application.ProcessMessages;

    splNote.Visible := true;
    splNote.Top := pnlBaseNote.top + pnlBaseNote.Height; // - pnlSingleNote.Height;

    pnlSingleNote.Align := alClient;
    pnlSingleNote.Visible := true;
    pnlNoteResize(nil);
  end;
end;

procedure TfrmGNEncounter.SetBySelectedPatient(aPatient:TPatient);
var
  APatientData: TPatientData;

begin
  txtPCEData.Lines.Clear;
  memCommNote.Lines.Clear;
  memIndvNote.Lines.Clear;

  Patient := aPatient;
  APatientData := GetPatientData(aPatient); // accessing Pt. Data

  txtPCEData.Lines.Text := APatientData.PCESummary;

  if assigned(APatientData.PtNote.GenLines) then
    memCommNote.Lines.Assign(APatientData.PtNote.GenLines);
  if assigned(APatientData.PtNote.PtLines) then
    memIndvNote.Lines.Assign(APatientData.PtNote.PtLines);

  ShowPatientInfo(APatientData, TRUE);
  pnlNoteResize(nil);

  NoteEnable(memCommNote, false); // Common notes are disabled
  NoteEnable(memIndvNote, // Ind notes are editable when created and not signed
    (APatientData.PtNote.NoteIEN > 0) and
    (APatientData.PtNote.SignStatus <> SS_SIGNED)
     );

  setActionStatus(aPatientData, false);

  UpdateDebugInfo(aPatient.Name, APatientData, Encounter);
end;

procedure TfrmGNEncounter.pnlAllPatientsClick(Sender: TObject);
begin
  inherited;
  GroupEdit := not GroupEdit;
  if GroupEdit then
  begin
    lstPatients.MultiSelect := TRUE;
    lstPatients.SelectAll;
    NoteEnable(memIndvNote, false);
  end
  else
  begin
    lstPatients.MultiSelect := false;
    lstPatients.ClearSelection;
  end;
end;

procedure TfrmGNEncounter.btnPrevClick(Sender: TObject);
begin
  inherited;
  if not GroupEdit then
  begin
    if lstPatients.ItemIndex > -1 then
      SelectedPatient :=
        TPatient(lstPatients.Items.Objects[lstPatients.ItemIndex]).DFN;
  end;
  if GroupEdit then
    SelectedPatient := '';
  GroupEdit := false;
  frmGNMainFrame.SwitchTo(frmGNPtSel);
end;

procedure TfrmGNEncounter.memCommNoteExit(Sender: TObject);
begin
  UpdateCommonNotes;
end;

procedure TfrmGNEncounter.UpdateCommonNotes;
var
  i: Integer;
  APatientData: TPatientData;

  procedure UpdateGenNotes(var aRec: TEditNoteRec; aLines: TStrings);
  begin
    setLines(aRec.GenLines);
    setLines(aRec.Lines);

    aRec.GenLines.Assign(aLines);
    aRec.Lines.AddStrings(aLines);

    if assigned(aRec.PtLines) then
      aRec.Lines.AddStrings(aRec.PtLines);
  end;

begin
  inherited;

//  acEditCopy.Enabled := (not (memCommNote.ReadOnly) and memCommNote.Enabled)
//    or (not (memIndvNote.ReadOnly) and memIndvNote.Enabled);

  if (memCommNote.ReadOnly) or (not memCommNote.Enabled) then
    exit;

  for i := 0 to GNPTList.Count - 1 do
  begin
    if GroupEdit or (i = lstPatients.ItemIndex) then
    begin
      APatientData := TPatientData(GNPTList.Items[i]);
      UpdateGenNotes(APatientData.PtNote, memCommNote.Lines);
    end;
  end;
end;

procedure TfrmGNEncounter.memIndvNoteExit(Sender: TObject);
begin
  UpdateSingleNotes;
end;

procedure TfrmGNEncounter.UpdateSingleNotes;
var
  APatientData: TPatientData;

  procedure UpdateIndNotes(var aRec: TEditNoteRec; aLines: TStrings);
  begin
    setLines(aRec.PtLines);
    setLines(aRec.Lines);

    aRec.PtLines.Assign(aLines);

    if assigned(aRec.GenLines) then
      aRec.Lines.AddStrings(aRec.GenLines);

    aRec.Lines.AddStrings(aRec.PtLines);
  end;

begin
  inherited;

//  acEditCopy.Enabled := (not (memCommNote.ReadOnly) and memCommNote.Enabled)
//    or (not (memIndvNote.ReadOnly) and memIndvNote.Enabled);

  if (memIndvNote.ReadOnly) or (lstPatients.ItemIndex < 0) then
    exit;

  APatientData := GetPatientData
    (TPatient(lstPatients.Items.Objects[lstPatients.ItemIndex]));

  UpdateIndNotes(APatientData.PtNote, memIndvNote.Lines);
end;

procedure TfrmGNEncounter.btnStartOverClick(Sender: TObject);
begin
  DoStartOver;
end;

procedure TfrmGNEncounter.DoStartOver;
begin
  inherited;

  if not NotesSigned then
  begin
    if Changes.Documents.Count > 0 then
    begin
      if NeedTOSign then // Some of the notes contains text
      begin
        if MessageDlg(TX_UNSIGNNOTES, mtWarning, [mbYes, mbNo], 0) = mrNo then
        begin
          DeleteCurrentNotes(TRUE); // automatically delete empty notes
          actSaveNoSigExecute(Self);
          Changes.Clear;
        end
        else
        begin
          if actSignNote.Enabled then
          begin
            DeleteCurrentNotes(TRUE); // automatically delete empty notes
            actSignNoteExecute(Self);
          end;
        end
      end
      else
      begin
        DeleteCurrentNotes(false);
        Changes.Clear;
      end;
    end;
  end;

  CleanPtList(GNPTList);

  Changes.Clear;

  txtPCEData.Lines.Clear;
  memCommNote.Lines.Clear;
  NoteEnable(memCommNote, false);
  memIndvNote.Lines.Clear;
  NoteEnable(memIndvNote, false);

  lstPatients.ItemIndex := -1;
  lstPatients.Items.Clear;
  SelectedPatient := '';

  GroupEdit := false;
  StartOver := TRUE;

  NotesCreated := false;
  EncountersCreated := false;
  NotesSigned := false;

  actChangeNote.Enabled := false;
  actSaveNoSig.Enabled := false;
  actSignNote.Enabled := false;
  actEditEncounter.Enabled := false;

  acUpdateBasicEncounter.Enabled := TRUE;

  lblBaseNoteInfo.Caption := 'Progress note: content shared by all patients';
  lblIndvNoteInfo.Caption := 'Progress note: content for individual patient';

  ClearNote(BaseNote);

  Changes.Clear;
  Encounter.Clear;
  uEncPCEData.Clear;
  frmGNMainFrame.SwitchTo(frmGNPtSel);
end;

procedure TfrmGNEncounter.pm1SpellcheckClick(Sender: TObject);
begin
  inherited;
  try
    SpellCheckForControl(memCommNote);
  finally
  end;
end;

procedure TfrmGNEncounter.pm1GrammarCheckClick(Sender: TObject);
begin
  inherited;
  try
    GrammarCheckForControl(memCommNote);
  finally
  end;
end;

procedure TfrmGNEncounter.pm2GrammarCheckClick(Sender: TObject);
begin
  inherited;
  try
    GrammarCheckForControl(memIndvNote);
  finally
  end;
end;

procedure TfrmGNEncounter.pm2SpellCheckClick(Sender: TObject);
begin
  inherited;
  try
    SpellCheckForControl(memIndvNote);
  finally
  end;
end;

procedure TfrmGNEncounter.FormCreate(Sender: TObject);
begin
  lblPatient.TabStop := ScreenReaderActive;
  lblBaseNoteInfo.TabStop := ScreenReaderActive;
  lblNoteShared.TabStop := ScreenReaderActive;

  fBaseNoteHeight := 0;
//  FChangeNote := false;
  fNotesSigned := false;

  fNotesCreated := false;
  fEncountersCreated := false;
  fBasicEncounterCreated := false;

  GroupEdit := TRUE;

  ShowBasicEnctInfo;
end;

procedure TfrmGNEncounter.NoteEnable(ANote: TMemo; TheEnable: boolean);
begin
  ANote.Enabled := TheEnable;
  ANote.ReadOnly := not TheEnable;
  if TheEnable then
    ANote.Color := clWindow
  else
    ANote.Color := clBtnFace;
end;

procedure TfrmGNEncounter.EncounterEnable(TheEnable: boolean);
begin
//AA20210729  txtPCEData.Enabled := TheEnable;
  txtPCEData.ReadOnly := TRUE;
end;
(*
function TfrmGNEncounter.NewNoteForIndividualPatient(var APatientData
  : TPatientData): boolean;
var
  HaveRequired: boolean;
  IndvNote: TEditNoteRec;
  CreatedNote: TCreatedDoc;

begin
  Result := false;
  FillChar(IndvNote, SizeOf(IndvNote), 0);
  setNoteRecord(IndvNote);

  if LacksRequiredForCreate(IndvNote) or VerifyNoteTitle or UnresolvedConsultsExist
  then
    HaveRequired := ExecuteNoteProperties(IndvNote, CT_NOTES, false,
      false, '', 0)
  else
    HaveRequired := TRUE;

  if HaveRequired then
  begin
    APatientData.PCEData.UseEncounter := TRUE;
    // APtPCE.VisitCategory := GetVisitCat('A', Encounter.Location, APatientData.Patient.Inpatient);
    APatientData.PCEData.NoteDateTime := IndvNote.DateTime;
    IndvNote.NeedCPT := APatientData.PCEData.CPTRequired; // APtPCE.CPTRequired;

    Result := CreateAndLockNewProgressNote(CreatedNote, IndvNote, APatientData);
    // 20181105
    // if Result then
    // Result := UpdateChanges(CreatedNote,IndvNote,aPatientData);
  end;
end;
*)
procedure TfrmGNEncounter.actNewNoteExecute(Sender: TObject);
begin
  actNewNote.Enabled := false; // disabling at the action start
  NotesCreated := doNewNote;
end;

procedure TfrmGNEncounter.forceAll;
begin
  GroupEdit := TRUE;
  lstPatients.MultiSelect := TRUE;
  lstPatients.SelectAll;
  actForAllPatients.Checked := True;
  Application.ProcessMessages;
end;

function TfrmGNEncounter.doNewNote(aChangeNote: Boolean = False): boolean;
var
  aPatient: TPatient;
  sTitle: String;
  HaveRequired: boolean;
  TmpBoilerPlate: TSTringList;
  APatientData: TPatientData;
  i: Integer;
  CreatedNote: TCreatedDoc;

  function getPatient: TPatient;
  begin
    Result := nil;
    if GroupEdit and (lstPatients.Items.Count > 0) then
      Result := TPatient(lstPatients.Items.Objects[0])
    else
    begin
      if lstPatients.ItemIndex < 0 then
        InfoBox('Please select a patient before creating a new note.',
          'New Note', MB_OK)
      else
        Result := TPatient(lstPatients.Items.Objects[lstPatients.ItemIndex]);
    end;
  end;

begin
  inherited;
  Result := false;
  HaveRequired := false;

  if not GroupEdit then
    forceAll;

  aPatient := getPatient; // set patient prior to updating encounter
  if aPatient = nil then
    exit
  else
    Patient := aPatient;

  if Encounter.NeedVisit then
    if not UpdateEncounter(NPF_ALL) then
      exit;

  ShowBasicEnctInfo; // updates screen with encounter information

  APatientData := GetPatientData(Patient);

  memCommNote.Clear;
  memCommNote.Text := ' '; // flag notifying the note is open for editing
  memIndvNote.Clear;

  ClearNote(BaseNote); // set fields to '0', nils, and blanks string lists
  try
    FillChar(BaseNote, SizeOf(BaseNote), 0); // not needed after ClearNote
    setNoteRecord(BaseNote); // defaults

    if aChangeNote then
    begin
      HaveRequired := ExecuteNoteProperties(BaseNote, CT_NOTES, false,
        false, '', 0);
      // FChangeNote := false;
    end
    else if LacksRequiredForCreate(BaseNote) or VerifyNoteTitle or UnresolvedConsultsExist
    then
      HaveRequired := ExecuteNoteProperties(BaseNote, CT_NOTES, false,
        false, '', 0)
    else
      HaveRequired := TRUE;

    if HaveRequired then
    begin
      NoteEnable(memCommNote, TRUE);
      APatientData.PCEData.UseEncounter := TRUE;
      // set up PCE data for entry of new note
      APatientData.PCEData.VisitCategory :=
        GetVisitCat('A', Encounter.Location, APatientData.Patient.Inpatient);

      APatientData.PCEData.NoteDateTime := BaseNote.DateTime;
      BaseNote.NeedCPT := APatientData.PCEData.CPTRequired;
      if (GNPTList.Count > 1) then // set up PCE for group patients
      begin
        // first patient's note is default to BaseNote.
        for i := 1 to GNPTList.Count - 1 do
        begin
          ClearNote(TPatientData(GNPTList.Items[i]).PtNote);
          TPatientData(GNPTList.Items[i]).PCEData.UseEncounter := TRUE;
          TPatientData(GNPTList.Items[i]).PCEData.NoteDateTime :=
            BaseNote.DateTime;
          TPatientData(GNPTList.Items[i]).PtNote := BaseNote;
          TPatientData(GNPTList.Items[i]).PtNote.NeedCPT :=
            TPatientData(GNPTList.Items[i]).PCEData.CPTRequired;
        end;
      end;

      PutNewNote(CreatedNote, BaseNote, Patient.DFN);
      // creates new note on server
      // create the base note for GNPtList.Items[0]
      if CreatedNote.IEN > 0 then
        LockDocument(CreatedNote.IEN, CreatedNote.ErrorText);
      if Length(CreatedNote.ErrorText) > 0 then // failed to Create or Lock
      begin
        InfoBox(CreatedNote.ErrorText, TX_CREATE_ERR, MB_OK);
        exit;
      end;

      BaseNote.NoteIEN := CreatedNote.IEN; // AA 20171013
      TPatientData(GNPTList.Items[0]).PtNote := BaseNote;
      TPatientData(GNPTList.Items[0]).PtNote.NoteIEN := BaseNote.NoteIEN; // AA
      TPatientData(GNPTList.Items[0]).PCEData.NoteIEN := BaseNote.NoteIEN;

      TPatientData(GNPTList.Items[0]).PCEData.PatientName :=
        TPatientData(GNPTList.Items[0]).Patient.Name;

      Changes.Add(CH_DOC, IntToStr(CreatedNote.IEN),
        BaseNote.TitleName + ' for patient ' + TPatientData(GNPTList.Items[0])
        .Patient.Name, '', CH_SIGN_YES);

      if (GNPTList.Count > 1) then // create note for each patient in the group
      begin
        for i := 1 to GNPTList.Count - 1 do
        // first patient's note is defaulted to BaseNote.
        begin
          CreatedNote.IEN := 0;
          CreatedNote.ErrorText := '';

          TPatientData(GNPTList.Items[i]).PCEData.VisitCategory :=
            GetVisitCat('A', Encounter.Location, TPatientData(GNPTList.Items[i])
            .Patient.Inpatient);

          Encounter.VisitCategory :=
            TPatientData(GNPTList.Items[i]).PCEData.VisitCategory;

          PutNewNote(CreatedNote, TPatientData(GNPTList.Items[i]).PtNote,
            TPatientData(GNPTList.Items[i]).Patient.DFN);

          if CreatedNote.IEN > 0 then
            LockDocument(CreatedNote.IEN, CreatedNote.ErrorText);
          if Length(CreatedNote.ErrorText) > 0 then
          begin
            InfoBox('For patient ' + TPatientData(GNPTList.Items[i])
              .Patient.Name + CreatedNote.ErrorText, TX_CREATE_ERR, MB_OK);
            continue;
          end
          else
          begin
            TPatientData(GNPTList.Items[i]).PtNote.NoteIEN := CreatedNote.IEN;
            TPatientData(GNPTList.Items[i]).PCEData.NoteIEN := CreatedNote.IEN;
            TPatientData(GNPTList.Items[i]).PCEData.PatientName :=
              TPatientData(GNPTList.Items[i]).Patient.Name;
          end;

          Changes.Add(CH_DOC, IntToStr(CreatedNote.IEN),
            TPatientData(GNPTList.Items[i]).PtNote.TitleName + ' for patient ' +
            TPatientData(GNPTList.Items[i]).Patient.Name, '', CH_SIGN_YES);
        end;
        txtPCEData.Lines.Text := AllPCEtoString;
      end;

      sTitle := BaseNote.TitleName;
      if pos('&&', sTitle) = 0 then
        sTitle := StringReplace(sTitle, '&', '&&', [rfReplaceAll]);

      lblBaseNoteInfo.Caption := 'Co&mmon note content for group patients.' +
        ' Title: ' + sTitle;
      lblIndvNoteInfo.Caption := 'A&dditional note text for selected patient. '
        + ' Title: ' + sTitle;

      if BaseNote.ErrTxt = '' then
      begin
        TmpBoilerPlate := TSTringList.Create;
        try
          // AA: requires Pt and Encounter to be set prior to the call
          LoadBoilerPlate(TmpBoilerPlate, BaseNote.Title);
          memCommNote.Lines.Clear;
          memIndvNote.Lines.Clear;
          memCommNote.Lines.Assign(TmpBoilerPlate);
          acUpdateBasicEncounter.Enabled := false;
        finally
          TmpBoilerPlate.Free;
        end;
      end
      else
      begin
        HaveRequired := false;
        InfoBox(BaseNote.ErrTxt, 'New Note', MB_OK);
        Result := false;
        exit;
      end;
      Result := TRUE;
    end
    else
      exit;
  finally
    if HaveRequired then
      FocusWinControl(memCommNote);

    LimitEditWidth(memCommNote, 70);
    LimitEditWidth(memIndvNote, 70);
    Application.ProcessMessages;
    UpdateDebugInfo(Patient.Name, APatientData, Encounter);
  end;
end;

procedure TfrmGNEncounter.actForAllPatientsExecute(Sender: TObject);
begin
  actForAllPatients.Checked := not actForAllPatients.Checked;
  GroupEdit := actForAllPatients.Checked;
  doForAll(GroupEdit);
end;

procedure TfrmGNEncounter.doForAll(aGroup: boolean);
var
  iSigned: Integer;
  sCommon, sIndividual: String;

  function getCommonText: String;
  var
    i: Integer;
    APatientData: TPatientData;

    function getGenText(aPtData: TPatientData): String;
    begin
      Result := '';
      if assigned(aPtData) and assigned(aPtData.PtNote.GenLines) then
        Result := aPtData.PtNote.GenLines.Text;
    end;

  begin
    Result := '';
    if lstPatients.Items.Count < 1 then
      exit;

    for i := 0 to GNPTList.Count - 1 do
    begin
      APatientData := TPatientData(GNPTList.Items[i]);
      if i = 0 then
        Result := getGenText(APatientData)
      else if Result <> getGenText(APatientData) then
      begin
        Result := '';
        Break
      end;
    end;
  end;

begin
  inherited;

  if (not memCommNote.ReadOnly) and (memCommNote.Lines.Count > 0) then
    memCommNoteExit(Self);
  if (not memIndvNote.ReadOnly) then // and (memIndvNote.Enabled) then
    memIndvNoteExit(Self);

  lstPatients.MultiSelect := aGroup;
  pnlSingleNote.Visible := not aGroup;
  splNote.Visible := not aGroup;
  if splNote.Visible then
    splNote.Top := pnlBaseNote.Height; // - pnlSingleNote.Height;

  pnlBaseNote.Align := alClient;

  if aGroup then
  begin
    lstPatients.SelectAll;

    sCommon := 'Progress note:  content shared by all patients';
    sIndividual := 'Progress note:  content for individual patient';
    if BaseNote.NoteIEN > 0 then
      begin
        sCommon := 'Common note content for group patients.';
        sIndividual := 'A&dditional note text for selected patient.';
        sCommon := sCommon + ' Title: ' + BaseNote.TitleName;
        sIndividual := sIndividual + ' Title: ' + BaseNote.TitleName;
      end;
    lblBaseNoteInfo.Caption := sCommon;
    lblIndvNoteInfo.Caption := sIndividual;
    lblEnctInfo.Caption := 'Encounter data for all patients';
    lblPatient.Caption := 'Data shared by all patients';

    txtPCEData.Lines.Text := AllPCEtoString;
    memCommNote.Lines.Text := getCommonText; //Cleared if text not common
    memIndvNote.Lines.Clear;
    NoteEnable(memIndvNote, false);

    NoteEnable(memCommNote, not NotesSigned and (BaseNote.NoteIEN > 0));

    actChangeNote.Enabled := NotesCreated;
    actEditEncounter.Enabled := EncountersCreated;

//    actSignNote.Enabled := IsEnabledSign; //NotesCreated;
//    actSaveNoSig.Enabled := NotesCreated;

    iSigned := GNPTList.Count - NotesToSign;
    actSignNote.Enabled := NotesCreated and (iSigned < GNPTList.Count);
    actChangeNote.Enabled := NotesCreated and (iSigned < GNPTList.Count);

    actIdentifyAdditionalSigner.Enabled :=NotesCreated and (iSigned > 0);
  end
  else
  begin  // No patient selected ------------------------------------------------
    lstPatients.ClearSelection;
    lblPatient.Caption := 'Patient: not selected';

    NoteEnable(memCommNote, false);
    NoteEnable(memIndvNote, false);
    txtPCEData.Lines.Text := '';

    actChangeNote.Enabled := NotesCreated; //false;
    actEditEncounter.Enabled := EncountersCreated; //false;

    actSignNote.Enabled := False;
    actSaveNoSig.Enabled := False;
    splNote.Visible := false;
    actIdentifyAdditionalSigner.Enabled := False;
  end;

  actNewNote.Enabled := not NotesCreated;
  actNewEncounter.Enabled := not EncountersCreated;
  acUpdateBasicEncounter.Enabled := not BasicEncounterCreated;
//  actIdentifyAdditionalSigner.Enabled := False;
end;

procedure TfrmGNEncounter.acDebugViewExecute(Sender: TObject);
begin
  inherited;
  acDebugView.Checked := not acDebugView.Checked;
  if acDebugView.Checked then
    setLayout('DEBUG')
  else
    setLayout('');
end;

procedure TfrmGNEncounter.acGrammarCheckExecute(Sender: TObject);
var
  s: String;
  re: TMemo;
begin
  inherited;
  s := '';
  if memCommNote.Focused then
    re := memCommNote
  else
    re := memIndvNote;
  s := re.Text;
  if (s <> '') and WordSpellCheck(s, false) then
    re.Text := s;
end;

procedure TfrmGNEncounter.acSelectPatientsExecute(Sender: TObject);
begin
  inherited;
  if acDebugView.Checked then
    SelectPatients('DEBUG')
  else
    SelectPatients;
  _PtList := GNPTList;
  populatePtList(_PtList);
  if actForAllPatients.Checked then
    lstPatients.SelectAll;

  Application.MainForm.Menu.Merge(mmEncounter);
end;

procedure TfrmGNEncounter.acSpellCheckExecute(Sender: TObject);
var
  s: String;
  re: TMemo;
begin
  inherited;
  s := '';
  if memCommNote.Focused then
    re := memCommNote
  else
    re := memIndvNote;
  s := re.Text;
  if (s <> '') and WordSpellCheck(s, TRUE) then
    re.Text := s;
end;

procedure TfrmGNEncounter.setLayout(aLayout: string);
var
  bDebug: boolean;

begin
  bDebug := aLayout = 'DEBUG';

  pnlPatient.Visible := bDebug;
  ToolBar6.Visible := bDebug;
  ToolBar9.Visible := bDebug;

  if not bDebug then
  begin
    Self.Color := clBtnFace;
    pnlBasicEncounter.Parent := Self;
    lblBasicEnct.font.Style := lblBasicEnct.font.Style + [fsBold];
    pnlBasicEncounter.Top := 0;

    memCommNote.BorderStyle := bsSingle;
    memIndvNote.BorderStyle := bsSingle;
    txtPCEData.BorderStyle := bsSingle;
  end;

  bvlBasicInfo.Visible := not bDebug;
//  bbUpdate.Visible := not bDebug;

  lblIndvNoteInfo.Visible := not bDebug;

  lblNote.Visible := bDebug;
  Invalidate;
end;

procedure TfrmGNEncounter.actChangeNoteExecute(Sender: TObject);
begin
  actChangeNote.Enabled := false;
  doChangeNote;
  actChangeNote.Enabled := NotesCreated;
end;

procedure TfrmGNEncounter.actEditEncounterExecute(Sender: TObject);
begin
  inherited;
  actEditEncounter.Enabled := false;
  if GroupEdit then
    doMultipleEncounters(True)
  else
    doSingleEncounter(True);

  actEditEncounter.Enabled := EncountersCreated; // ptListHasData;
end;

procedure TfrmGNEncounter.actNewEncounterExecute(Sender: TObject);
begin
  actNewEncounter.Enabled := false;
//20210720  if not GroupEdit then // New Encounter is created only for ALL patients
//20210720    forceAll;
//20210720  EncountersCreated := doMultipleEncounters(False)

  //20210720 enabling new encounter creation; >>>>>>>
  if GroupEdit then
    EncountersCreated := doMultipleEncounters(False)
  else
    EncountersCreated := doSingleEncounter(False);
  //20210720 enabling new encounter creation; <<<<<<<
end;


procedure TfrmGNEncounter.AlignHelpMenu;
begin
  SendMessage(Application.MainForm.Handle, UM_GNMENU, 0, 0);
end;

function TfrmGNEncounter.doChangeNote: Boolean;

  function HasAnyNote: Boolean;
  var
    i: Integer;
  begin
    Result := false;
    for i := 0 to GNPTList.Count - 1 do
    begin
      if (TPatientData(GNPTList.Items[i]).PtNote.NoteIEN > 0) then
      // if (TPatientData(GNPTList.Items[i]).PCEData.NoteIEN > 0) then
      begin
        Result := TRUE;
        Break;
      end;
    end;
  end;

begin
  inherited;
  Result := false;

  if HasAnyNote then
    if MessageDlg
      ('All current patients'' notes will be erased, are you sure to continue?',
      mtWarning, [mbOK, mbCancel], 0) <> mrCancel then
    begin
      lstPatients.MultiSelect := TRUE;
      lstPatients.SelectAll;

      GroupEdit := TRUE; // Changing is always done for the whole group
      DeleteCurrentNotes(false); // delete all - empty and populated
      acUpdateBasicEncounterExecute(nil); // required to select new location

      NotesCreated := doNewNote(True);
      Result := NotesCreated;
    end;
end;

procedure TfrmGNEncounter.UpdateControlsAfterSign(IsSigned: boolean);
begin
  NoteEnable(memCommNote, false);
  NoteEnable(memIndvNote, false);
  if IsSigned then // signed or don't sign
  begin
    lblBaseNoteInfo.Caption := lblBaseNoteInfo.Caption;
    lblIndvNoteInfo.Caption := lblIndvNoteInfo.Caption;
    actIdentifyAdditionalSigner.Enabled := TRUE;
  end;

  NotesSigned := TRUE; // mark it true no matter signed or don't sign

  actSignNote.Enabled := false;
  actChangeNote.Enabled := false;
  actSaveNoSig.Enabled := false;
  actNewEncounter.Enabled := false;
  actEditEncounter.Enabled := false;

  lstPatients.MultiSelect := false;
  lstPatients.ClearSelection;
//  GroupEdit := false;
  Changes.Clear;
end;

procedure TfrmGNEncounter.actSignNoteExecute(Sender: TObject);
begin
  actSignNote.Enabled := false;
  doSignNote;
//  actSignNote.Enabled := IsEnabledSign;
  setActionStatus(nil,GroupEdit);
end;

function TfrmGNEncounter.doSignNote: boolean;
const
  SIG_COSIGN = 'COSIGNATURE';
  SIG_SIGN = 'SIGNATURE';
  SIG_TEXT = 'The signature will be applied to all notes for group patients.';
  SIN_NO_AUTH_SIGNATURE = 'Author did not sign the note';
var
  sSigned, sReason, sErrors, sMsg, ActionType, ESCode, SignTitle: string;
  ActionSts, SignSts: TActionRec;
  bOkToSign, OK: boolean;
  i: Integer;
  APatientData: TPatientData;
begin
  inherited;
  Result := false;
  sSigned := '';
  bOkToSign := false;

  sMsg := SaveWithoutSigning;
  if sMsg <> '' then
    InfoBox(sMsg, 'Saving Note', MB_OK or MB_ICONWARNING);

  if pos('Empty notes', sMsg) = 1 then
    exit;

  sErrors := '';
  forceAll;

  for i := 0 to GNPTList.Count - 1 do
  begin
    APatientData := TPatientData(GNPTList.Items[i]);
    if APatientData.PtNote.SignStatus = SS_SIGNED then
      continue; // in case list contains already signed documents

    Patient := APatientData.Patient; // All saving routines use Patient object

{$IFDEF DEBUG}
    if APatientData.PtNote.NoteIEN < 1 then
      ShowMessage('DEBUG: doSignNote: PtNote.NoteIEN is not assigned!' +
        #13#10#13#10 + 'Patient: ' + APatientData.Patient.Name);
{$ENDIF}
    // it would be better to track if cosigning is needed at the time
    // the Note title is selected
    if CosignDocument(APatientData.PtNote.NoteIEN) then
    begin
      SignTitle := TX_COSIGN;
      ActionType := SIG_COSIGN;
    end
    else
    begin
      SignTitle := TX_SIGN;
      ActionType := SIG_SIGN;
    end;

    ActOnDocument(ActionSts, APatientData.PtNote.NoteIEN, ActionType);
    if ActionSts.Success then
    begin
      GroupEdit := false;
      APatientData.PCEData.PatientName := APatientData.Patient.Name;

      OK := IsOK2Sign(APatientData.PCEData, APatientData.PtNote.NoteIEN,
        'Patient: ' + APatientData.Patient.Name);

      GroupEdit := TRUE;

      if APatientData.PCEData.HasData then
        EncounterEnable(TRUE);

      if not AuthorSignedDocument(APatientData.PtNote.NoteIEN) then
      begin
        if (InfoBox(TX_AUTH_SIGNED + APatientData.PtNote.TitleName, TX_SIGN,
          MB_YESNO or MB_ICONQUESTION) = ID_NO) then
        begin
          // exit; // was OK for a single note
          APatientData.OKForSign := false; // T13 no InfoBox
          continue; // T13
        end;
      end;
      APatientData.OKForSign := OK;
      bOkToSign := bOkToSign or APatientData.OKForSign;
    end
    else
    begin
      sMsg := 'Problem signing "' + APatientData.PtNote.TitleName +
        '" note for ' + APatientData.Patient.Name + '.' + CRLF + 'Reason: ' +
        ActionSts.Reason;
      sErrors := sErrors + CRLF + sMsg;
      APatientData.OKForSign := false;
      APatientData.PtNote.SignStatus := SS_NOT_SIGNED;
    end;
  end;

  if sErrors <> '' then
    InfoBox(sErrors, 'Signing preparation errors', MB_OK or MB_ICONWARNING);

  if bOkToSign then
    ESCode := getESig(SIG_TEXT, SignTitle); // T13

  sMsg := '';
  if Length(ESCode) > 0 then
  begin
    for i := 0 to GNPTList.Count - 1 do
    begin
      APatientData := TPatientData(GNPTList.Items[i]);
      if APatientData.PtNote.SignStatus = SS_SIGNED then
        continue; // in case list contains already signed documents
      Patient := APatientData.Patient; // All saving routines use Patient object

      if APatientData.OKForSign then
      begin
        APatientData.PtNote.SignStatus := SS_NOT_SIGNED;
{$IFDEF DEBUG}
        if APatientData.PtNote.NoteIEN < 1 then
          sMsg := sMsg + 'DEBUG: doSignNote(2): PtNote.NoteIEN is not assigned!'
            + CRLF + CRLF + 'Patient: ' + APatientData.Patient.Name + CRLF;
{$ENDIF}
        SignDocument(SignSts, APatientData.PtNote.NoteIEN, ESCode);
        if SignSts.Success then
        begin
          UnlockDocument(APatientData.PtNote.NoteIEN);
          RemovePCEFromChanges(APatientData.PtNote.NoteIEN);
          Changes.Remove(CH_DOC, IntToStr(APatientData.PtNote.NoteIEN));
          sSigned := sSigned + 'Note ' + IntToStr(APatientData.PtNote.NoteIEN) +
            ' was signed. ' + '(' + APatientData.Patient.Name + ')' + CRLF;
          APatientData.PtNote.SignStatus := SS_SIGNED;
        end
        else
        begin
          sReason := 'Reason: ' + SignSts.Reason;
          if pos('COMPLETED', SignSts.Reason) > 0 then
            sReason := 'Reason: Note COMPLETED';
          sMsg := sMsg + 'Note ' + IntToStr(APatientData.PtNote.NoteIEN) +
            ' was not signed. ' + CRLF + sReason + CRLF;
        end;
      end
      else
      begin
        APatientData.PtNote.SignStatus := SS_NOT_CONFIRMED;
        sMsg := sMsg + 'Patient: ' + APatientData.Patient.Name +
          ' Note was not confirmed for signing' + CRLF;
      end;
    end;
    sMsg := sSigned + CRLF + sMsg;
    if sMsg <> '' then
      InfoBox(sMsg, AppTitle, MB_OK + MB_ICONWARNING);

    UpdateControlsAfterSign(sMsg <> '');
    Result := sMsg = '';
  end;
  forceAll;
end;

function TfrmGNEncounter.ptListHasData: boolean;
var
  i: Integer;
  thePatient: TPatient;
  APatientData: TPatientData;
begin
  Result := false;
  for i := 0 to lstPatients.Items.Count - 1 do
  begin
    thePatient := TPatient(lstPatients.Items.Objects[i]);
    APatientData := GetPatientData(thePatient);
    Result := APatientData.PCEData.HasData;
    if Result then
      Break;
  end;
end;

/// /////////////////////////////////////////////////////////////////////////////

function TfrmGNEncounter.doSingleEncounter(bEdit: Boolean): boolean;
var
  oldNoteIEN: Int64;
  APatientData: TPatientData;
begin
  Result := false;
  if lstPatients.ItemIndex < 0 then
    InfoBox('Please select patient before creating a new encounter!',
      'New Encounter', MB_OK)
  else
  begin
    if Encounter.NeedVisit and not UpdateEncounter(NPF_ALL) then
      exit;

    ShowBasicEnctInfo;
    lblEnctInfo.Caption := 'Encounter data for ' + lstPatients.Items
      [lstPatients.ItemIndex];
    txtPCEData.Enabled := TRUE;

    Encounter.VisitCategory := GetVisitCat('A', Encounter.Location, false);

    Patient := TPatient(lstPatients.Items.Objects[lstPatients.ItemIndex]);
    APatientData := GetPatientData(Patient);
    aPatientData.PCEData.PatientName := Patient.Name;

    if CanEditPCE(APatientData.PCEData) then
    begin
      APatientData.PCEData.CopyPCEData(uEncPCEData);
      Result := UpdatePCE(uEncPCEData, GroupEdit);
    end
    else
    begin
      if FutureEncounter(APatientData.PCEData) then
        InfoBox(TX_NOPCE_TXT + TX_NOPCE_TXT1, TX_NOPCE_HDR,
          MB_OK or MB_ICONWARNING)
      else
        InfoBox(TX_NOPCE_TXT + TX_NOPCE_TXT2, TX_NOPCE_HDR,
          MB_OK or MB_ICONWARNING);
    end;

    if Result then
    begin
      txtPCEData.Lines.Clear;
      txtPCEData.Lines.Text := aPatientData.PCESummary;

      oldNoteIEN := aPatientData.PtNote.NoteIEN;
//      uEncPCEData.CopyPCEData(aPatientData.PCEData);
      aPatientData.PCEData.NoteIEN := oldNoteIEN;
    end;

    FocusWinControl(memCommNote);
    UpdateDebugInfo(Patient.Name, APatientData, Encounter);
  end;
end;

function TfrmGNEncounter.doMultipleEncounters(bEdit: boolean): boolean;
var
  APatientData: TPatientData;
  oldName: String;
  oldNoteIEN: Int64;

  function ConfirmEncounterErase: boolean;
  begin
    if not ptListHasData then
      Result := TRUE
    else
      Result := InfoBox
        ('Creating encounter for group patients will erase all patients current encounter data, Continue? ',
        'Confirm Data Erase',
        MB_YESNO or MB_ICONINFORMATION) = mrYes;
  end;

begin
  Result := false;

  if not assigned(uEncPCEData) then
    InfoBox('No Base PCE found...', AppTitle, MB_OK + MB_ICONERROR)
  else if ConfirmEncounterErase then
  begin
    if Encounter.NeedVisit and not UpdateEncounter(NPF_ALL) then
      exit;

    Patient := TPatient(lstPatients.Items.Objects[0]); // multiple patients
    oldName := Patient.Name;

    aPatientData := GetPatientData(Patient);
    oldNoteIEN := aPatientData.PtNote.NoteIEN;
{$IFDEF DEBUG}
    addLogLine(PCEDataToString(aPatientData.PCEData),'First patient PCE data');
{$ENDIF}

    if not bEdit then
      APatientData.PCEData.Clear; // required for New encounter only

    ShowBasicEnctInfo;
    lblEnctInfo.Caption := 'Encounter Data for all patients';
    txtPCEData.Lines.Clear;

    Encounter.VisitCategory := GetVisitCat('A', Encounter.Location, false);

    APatientData.PCEData.PatientName := Format('Group of %d Patients',
      [lstPatients.Items.Count]);

    if CanEditPCE(APatientData.PCEData) then
    begin
      APatientData.PCEData.CopyPCEData(uEncPCEData);
      Result := UpdatePCE(uEncPCEData, GroupEdit);
    end
    else
    begin
      if FutureEncounter(APatientData.PCEData) then
        InfoBox(TX_NOPCE_TXT + TX_NOPCE_TXT1, TX_NOPCE_HDR,
          MB_OK or MB_ICONWARNING)
      else
        InfoBox(TX_NOPCE_TXT + TX_NOPCE_TXT2, TX_NOPCE_HDR,
          MB_OK or MB_ICONWARNING);
    end;

    APatientData.PCEData.PatientName := oldName;
    APatientData.PCEData.NoteIEN := oldNoteIEN;

    FocusWinControl(memCommNote);
    UpdateDebugInfo(Patient.Name, APatientData, Encounter);

    txtPCEData.Lines.Text := AllPCEtoString;
    txtPCEData.Enabled := TRUE;
  end;
end;

procedure TfrmGNEncounter.memCommNoteChange(Sender: TObject);
begin
  inherited;
  actSignNote.Enabled := IsEnabledSign;
  actSaveNoSig.Enabled := IsEnabledSaveNoSign;
end;

procedure TfrmGNEncounter.memCommNoteDblClick(Sender: TObject);
begin
  inherited;
{$IFDEF DEBUG}
  memCommNote.Lines.Insert(0, FormatDateTime('YYYY-MM-DD HH:NN:SS.ZZZ', Now) +
    CRLF + 'Test Common Note. By:' + User.Name);
{$ENDIF}
end;

procedure TfrmGNEncounter.memCommNoteEnter(Sender: TObject);
begin
  inherited;
  actSignNote.Enabled := IsEnabledSign;
  actSaveNoSig.Enabled := IsEnabledSaveNoSign;
end;

procedure TfrmGNEncounter.memIndvNoteDblClick(Sender: TObject);
begin
  inherited;
{$IFDEF DEBUG}
  memIndvNote.Lines.Insert(0, FormatDateTime('YYYY-MM-DD HH:NN:SS.ZZZ', Now) +
    CRLF + 'Patient: ' + Patient.Name +
    CRLF + 'Test Indv Note. By:' + User.Name);
{$ENDIF}
end;

procedure TfrmGNEncounter.memIndvNoteEnter(Sender: TObject);
begin
  inherited;
  actSignNote.Enabled := IsEnabledSign;
  actSaveNoSig.Enabled := IsEnabledSaveNoSign;
end;

procedure TfrmGNEncounter.ShowBasicEnctInfo;
var
  providernm, locname, DateTime, dquote: string;
begin
  dquote := '''' + ' ' + '''';
  if assigned(Encounter) then
  begin
    if Encounter.Provider > 0 then
      providernm := getExternalName(IntToStr(Encounter.Provider), '200')
    else
      providernm := dquote;

    if Encounter.Location > 0 then
      locname := Encounter.LocationName
    else
      locname := dquote;

    if Encounter.DateTime > 0 then
      DateTime := FormatFMDateTime('mm/dd/yyyy hh:nn', Encounter.DateTime)
    else
      DateTime := dquote;

    lblBasicEnct.Caption := 'Provider: ' + providernm + '  Location: ' + locname
      + '  Date: ' + DateTime;

    constraints.MinWidth := getMinWidth;
  end;

  Application.ProcessMessages;
end;

function TfrmGNEncounter.BasicEncounterUpdate: boolean;
begin
  inherited;
  // AA: Need to set Pt ID to get correct location
  if not GroupEdit and (lstPatients.ItemIndex <> -1) then
    Patient := TPatient(lstPatients.Items.Objects[lstPatients.ItemIndex]);
  Result := UpdateEncounter(NPF_ALL);
  if Result then
    ShowBasicEnctInfo;
end;

procedure TfrmGNEncounter.acUpdateBasicEncounterExecute(Sender: TObject);
begin
  inherited;
  acUpdateBasicEncounter.Enabled := false;
  BasicEncounterCreated := BasicEncounterUpdate;// will reset the action enabled
  acUpdateBasicEncounter.Enabled := (not NotesCreated and GroupEdit)
    or not BasicEncounterCreated;
end;

procedure TfrmGNEncounter.acEraseExecute(Sender: TObject);
var
  i: Integer;
  pt: TPatient;
  pd: TPatientData;
begin
  inherited;
  if InfoBox
    ('You are about to erase encounter data for selected patients, Continue? ',
    'Confirm Data Erase', MB_YESNO or MB_ICONQUESTION) = mrYes then
  begin
    for i := 0 to lstPatients.Items.Count - 1 do
    begin
      if lstPatients.Selected[i] then
      begin
        pd := GetPatientData(TPatient(lstPatients.Items.Objects[i]));
        pd.ErasePCEData;
      end;
    end;

    if GroupEdit then
      txtPCEData.Lines.Text := AllPCEtoString
    else
      begin
        pt := TPatient(lstPatients.Items.Objects[lstPatients.ItemIndex]);
        pd := GetPatientData(pt);
        txtPCEData.Lines.Text := pd.PCESummary;
      end;
  end;
end;

procedure TfrmGNEncounter.acFileOpenAccept(Sender: TObject);
begin
  inherited;
  memCommNote.Lines.LoadFromFile(acFileOpen.Dialog.FileName);
end;

procedure TfrmGNEncounter.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  inherited;
  if CloseFromMain then
  begin
    memCommNoteExit(Self);
    memIndvNoteExit(Self);
  end;

  if not NeedTOSign then
  begin
    DeleteCurrentNotes(TRUE);
    exit;
  end;

  if not NotesSigned then
  begin
    if Changes.Documents.Count > 0 then
    begin
      if MessageDlg(TX_UNSIGNNOTES, mtWarning, [mbYes, mbNo], 0) = mrNo then
      begin
        DeleteCurrentNotes(TRUE);
        actSaveNoSigExecute(Self);
        Changes.Clear;
      end
      else
      begin
        if actSignNote.Enabled then
        begin
          DeleteCurrentNotes(TRUE);
          if NeedTOSign then
            actSignNoteExecute(Self);
          { while not FSigned do
            actSignNoteExecute(Self); }
        end;
      end;
    end;
  end;
end;

function TfrmGNEncounter.LockNote(AnIEN: Int64): boolean;
var
  LockMsg: string;
begin
  Result := TRUE;
  if Changes.Exist(CH_DOC, IntToStr(AnIEN)) then
    exit; // already locked
  if Result then
  begin
    LockDocument(AnIEN, LockMsg);
    if LockMsg <> '' then
    begin
      Result := false;
      InfoBox(LockMsg, TC_NO_LOCK, MB_OK);
    end;
  end;
end;

function getSigAction(aNoteIEN: Int64): Integer;
var
  ActionSts: TActionRec;
  x, y: boolean;
begin
  Result := -1;

  x := CanChangeCosigner(aNoteIEN);
  ActOnDocument(ActionSts, aNoteIEN, 'IDENTIFY SIGNERS');
  y := ActionSts.Success;

  if x and not y then
  begin
    if InfoBox(ActionSts.Reason + CRLF + CRLF +
      'Would you like to change the cosigner?', TX_IN_AUTH,
      MB_YESNO or MB_DEFBUTTON2 or MB_ICONQUESTION) = ID_YES then
      Result := SG_COSIGNER;
  end
  else if y and not x then
    Result := SG_ADDITIONAL
  else if x and y then
    Result := SG_BOTH
  else
    InfoBox(ActionSts.Reason, TX_IN_AUTH, MB_OK);
end;

procedure TfrmGNEncounter.actIdentifyAdditionalSignerExecute(Sender: TObject);
begin
  actIdentifyAdditionalSigner.Enabled := false;
  doAddSigners;
  actIdentifyAdditionalSigner.Enabled := TRUE;
end;

procedure TfrmGNEncounter.doAddSigners;
var
  sNoteID: String;
  aNoteIEN: Int64;
  APatient: TPatient;
  i: Integer;
  APatientData: TPatientData;
  TmpNoteList: TSTringList;
  Exclusions: TStrings;
  SignerList: TSignerList;
  SigAction: Integer;
  ARefDate: TFMDateTime;

begin
  inherited;

  SignerList.Signers := nil;
  SigAction := -1;
  ARefDate := 0.0;
  // apply additional signer to all the notes of group patients
  TmpNoteList := TSTringList.Create;

  if GroupEdit then
  begin
    for i := 0 to GNPTList.Count - 1 do
    begin
      APatientData := TPatientData(GNPTList.Items[i]);
      ARefDate := APatientData.PtNote.DateTime; // -- not sure it is correct
//      if APatientData.AdditionalSigner then
//        continue;
      aNoteIEN := APatientData.PtNote.NoteIEN;
      if i = 0 then // originally it was taken from the first record
        SigAction := getSigAction(aNoteIEN);
      if SigAction < 0 then // exiting if the first record fails
        exit; // could be "continue" if allowed to browse all
      if not LockNote(aNoteIEN) then
        continue;
      APatientData.AdditionalSigner := TRUE;
      TmpNoteList.Add(IntToStr(aNoteIEN));
    end;
  end
  else
  begin
    if lstPatients.ItemIndex < 0 then
      InfoBox('Please select a patient first before identifying additional signer.',
        'Additional Signer for a single Note', MB_OK)
    else
    begin
      APatient := TPatient(lstPatients.Items.Objects[lstPatients.ItemIndex]);
      APatientData := GetPatientData(APatient);
      aNoteIEN := APatientData.PtNote.NoteIEN;
//2022-04-12 - begin
      SigAction := getSigAction(aNoteIEN);
      if SigAction < 0 then // exiting if the first record fails
        exit; // could be "continue" if allowed to browse all
//2022-04-12 --- end

{$IFDEF DEBUG}
      if APatientData.PtNote.NoteIEN < 1 then
        ShowMessage('DEBUG: doAddSigners: PtNote.NoteIEN is not assigned!'+ #13#10#13#10 +
          'Patient: '+aPatientData.Patient.Name);
{$ENDIF}
//      if APatientData.AdditionalSigner then
//        InfoBox('The additional signer has already been identified.',
//          'Identify Additional Signer', MB_OK)
//      else
      if LockNote(aNoteIEN) then
        TmpNoteList.Add(IntToStr(aNoteIEN));
    end;
  end;

  if TmpNoteList.Count > 0 then
  begin
    Exclusions := GetCurrentSigners(StrToInt(TmpNoteList[0]));
    if SelectAdditionalSigners(font.Size, StrToInt(TmpNoteList[0]), SigAction,
      Exclusions, SignerList, CT_NOTES, ARefDate) = mrOK then
      with SignerList do
      begin
        case SigAction of
          SG_ADDITIONAL:
            if Changed and (Signers <> nil) and (Signers.Count > 0) then
            begin
              for i := 0 to TmpNoteList.Count - 1 do
                UpdateAdditionalSigners(StrToInt(TmpNoteList[i]), Signers);
            end;
          SG_COSIGNER:
            if Changed then
            begin
              for i := 0 to TmpNoteList.Count - 1 do
                ChangeCosigner(StrToInt(TmpNoteList[i]), Cosigner);
            end;
          SG_BOTH:
            if Changed then
            begin
              if (Signers <> nil) and (Signers.Count > 0) then
              begin
                for i := 0 to TmpNoteList.Count - 1 do
                  UpdateAdditionalSigners(StrToInt(TmpNoteList[i]), Signers);
              end;
              for i := 0 to TmpNoteList.Count - 1 do
                ChangeCosigner(StrToInt(TmpNoteList[i]), Cosigner);
            end;
        end;

        for i := 0 to GNPTList.Count - 1 do
        begin
          APatientData := TPatientData(GNPTList.Items[i]);
{$IFDEF DEBUG}
          if APatientData.PtNote.NoteIEN < 1 then
            ShowMessage('DEBUG: doAddSigners: PtNote.NoteIEN is not assigned!'+ #13#10#13#10 +
              'Patient: '+aPatientData.Patient.Name);
{$ENDIF}
          aNoteIEN := APatientData.PtNote.NoteIEN;
          sNoteID := IntToStr(aNoteIEN);
          if TmpNoteList.IndexOf(sNoteID) > 1 then
            TPatientData(GNPTList.Items[i]).AdditionalSigner := TRUE;
          // if not TPatientData(GNPtList.Items[i]).AdditionalSigner then
          // TPatientData(GNPtList.Items[i]).AdditionalSigner := TRUE;
        end;
      end;

    for i := 0 to TmpNoteList.Count - 1 do
      UnlockDocument(StrToInt(TmpNoteList[i]));
    // AdditionalSigner(False);
  end;

  TmpNoteList.Free;

  if assigned(SignerList.Signers) then
    SignerList.Signers.Free;
end;

function TfrmGNEncounter.NeedTOSign: boolean;
var
  i: Integer;
  APatientData: TPatientData;
begin
  Result := false;
  if assigned(GNPTList) and (GNPTList.Count > 0) then
    for i := 0 to GNPTList.Count - 1 do
    begin
      APatientData := TPatientData(GNPTList.Items[i]);
      if assigned(APatientData) and assigned(APatientData.PtNote.Lines) and
        (APatientData.PtNote.Lines.Count > 0) and
        (APatientData.PtNote.SignStatus <> SS_SIGNED) then  // AA 20210506
      begin
        Result := TRUE;
        Break;
      end;
    end;
end;

function TfrmGNEncounter.SaveWithoutSigning: String;
var
  i: Integer;
  APatientData: TPatientData;
  UpdatedNote: TCreatedDoc;
begin
  UpdateCommonNotes; // Done for every Patient or the selected one
  UpdateSingleNotes; // Done for every Patient or the selected one

  Result := 'Empty notes can not be signed';
  if NeedTOSign then // checks if there is at least one note with text
  begin
    Result := '';
    // memCommNoteExit(Self); -- duplicates call to UpdateCommonNotes
    // memIndvNoteExit(Self); -- duplicates call to UpdateSingleNotes

    for i := 0 to GNPTList.Count - 1 do
    begin
      APatientData := TPatientData(GNPTList.Items[i]);
      if APatientData.PtNote.Lines.Count > 0 then
      begin
        if APatientData.PtNote.NoteIEN = 0 then
          UpdatedNote.ErrorText := 'Invalid Note ID "0"'
        else
        begin
          // UpdatedNote.IEN := APatientData.PCEData.NoteIEN;
          UpdatedNote.IEN := APatientData.PtNote.NoteIEN;
          UpdatedNote.ErrorText := APatientData.PtNote.ErrTxt;

          PutEditedNote(UpdatedNote, APatientData.PtNote,
            APatientData.PtNote.NoteIEN); // APatientData.PCEData.NoteIEN);
        end;

        if UpdatedNote.ErrorText <> '' then
          begin
            Result := Result + UpdatedNote.ErrorText + CRLF;
            if pos('already signed',UpdatedNote.ErrorText) = 0 then
              APatientData.PtNote.SignStatus := SS_ERROR_SAVING
            else
              APatientData.PtNote.SignStatus := SS_SIGNED;
          end
        else
          APatientData.PtNote.SignStatus := SS_SAVED;
      end;
    end;
    actIdentifyAdditionalSigner.Enabled := false;
  end;
end;

procedure TfrmGNEncounter.actSaveNoSigExecute(Sender: TObject);
var
  s: String;
begin
  inherited;
  actSaveNoSig.Enabled := false;
  s := SaveWithoutSigning;
  if s = '' then
    InfoBox('Note(s) saved without signature' + #13#10 +
      'No errors encountered.', AppTitle, MB_OK + MB_ICONINFORMATION)
  else
    InfoBox('Notes save without signature' + #13#10 + 'Errors encountered:' +
      #13#10#13#10 + s, AppTitle, MB_OK + MB_ICONWarning);
  actSaveNoSig.Enabled := TRUE;
end;

procedure TfrmGNEncounter.DeleteCurrentNotes(onlyEmptyNotes: boolean);
var
  i, SavedDocIEN: Integer;
  AVisitStr, ReasonForDelete, x: string;
  APatientData: TPatientData;
  DeleteSts, ActionSts: TActionRec;
begin
  for i := 0 to GNPTList.Count - 1 do
  begin
    APatientData := TPatientData(GNPTList.Items[i]);
    if onlyEmptyNotes and (APatientData.PtNote.Lines.Count > 0) then
      continue;

{$IFDEF DEBUG}
    if APatientData.PtNote.NoteIEN < 1 then
      ShowMessage('DEBUG: DeleteCurrentNotes: PtNote.NoteIEN is not assigned!' +
        #13#10#13#10 + 'Patient: ' + APatientData.Patient.Name);
{$ENDIF}
    ActOnDocument(ActionSts, APatientData.PtNote.NoteIEN, 'DELETE RECORD');
//    ActOnDocument(ActionSts, APatientData.PCEData.NoteIEN, 'DELETE RECORD');
    if ShowMsgOn(not ActionSts.Success, ActionSts.Reason, TX_IN_AUTH) then
      continue;

    ReasonForDelete := SelectDeleteReason(APatientData.PtNote.NoteIEN);
    // do the appropriate locking
    if not LockNote(APatientData.PtNote.NoteIEN) then
      continue;
    // retraction notification message
    if JustifyDocumentDelete(APatientData.PtNote.NoteIEN) then
      InfoBox('Justify document message.', 'Delete Note', MB_OK);
    SavedDocIEN := APatientData.PtNote.NoteIEN;
    DeleteSts.Success := TRUE;
    x := GetPackageRefForNote(SavedDocIEN);
    AVisitStr := VisitStrForNote(SavedDocIEN);
    RemovePCEFromChanges(SavedDocIEN, AVisitStr);
    // 2FA
    if SavedDocIEN > 0 then
      DeleteDocument(DeleteSts, SavedDocIEN, ReasonForDelete);
    if not Changes.Exist(CH_DOC, IntToStr(SavedDocIEN)) then
      UnlockDocument(SavedDocIEN);
    Changes.Remove(CH_DOC, IntToStr(SavedDocIEN));
    // this will unlock the document if in Changes
    // reset the display now that the note is gone
    if DeleteSts.Success then
    begin
      DeletePCE(AVisitStr); // removes PCE data
                            // if this was the only note pointing to it
    end;
  end;
end;

procedure TfrmGNEncounter.pnlBaseNoteResize(Sender: TObject);
begin
  inherited;
  LimitEditWidth(memCommNote, 70);
  pnlBaseNote.Invalidate;
end;

procedure TfrmGNEncounter.pnlDetailsResize(Sender: TObject);
begin
  inherited;
  Width := Width + 1;
  Application.ProcessMessages;
  Width := Width - 1;
end;

procedure TfrmGNEncounter.pnlEncounterResize(Sender: TObject);
var
  iMin: Integer;
begin
  inherited;
  iMin := pnlRight.Height - pnlRight.Height div 4;
  if iMin < pnlNote.Constraints.MinHeight then
    iMin := pnlNote.Constraints.MinHeight;

  if pnlEncounter.Height > iMin then
    pnlEncounter.Height := iMin;

  pnlRight.Invalidate;
end;

procedure TfrmGNEncounter.pnlNoteResize(Sender: TObject);
begin
  inherited;
  if pnlSingleNote.Visible then
    if pnlBaseNote.Height > pnlNote.Height - pnlNote.Height div 4 then
      pnlBaseNote.Height := pnlNote.Height - pnlNote.Height div 4;
end;

procedure TfrmGNEncounter.pnlSingleNoteResize(Sender: TObject);
begin
  inherited;
  LimitEditWidth(memIndvNote, 70);
end;

function TfrmGNEncounter.IsEnabledSign: boolean;
begin
  Result := trim(memCommNote.Text + memIndvNote.Text) <> '';
end;

function TfrmGNEncounter.IsEnabledSaveNoSign: boolean;
begin
  Result := trim(memCommNote.Text + memIndvNote.Text) <> '';
end;

procedure TfrmGNEncounter.UpdateDebugInfo(aName: String;
  APatientData: TPatientData; anEncounter: TEncounter; aClear: boolean = TRUE);
begin
{$IFDEF DeBUG}
   AddLogLine(aPatientData.toText,aName);
{$ENDIF}
end;

procedure TfrmGNEncounter.setNotesCreated(aValue: boolean);
begin
  fNotesCreated := aValue;
  actNewNote.Enabled := not aValue;
  actChangeNote.Enabled := aValue;
  SendMessage(Application.MainForm.Handle, UM_GNNOTES_CREATED, 0, 0);
end;

procedure TfrmGNEncounter.setNotesSigned(aValue: boolean);
begin
  fNotesSigned := aValue;
  SendMessage(Application.MainForm.Handle, UM_GNNOTES_SIGNED, 0, 0); // AA - not used?
end;

procedure TfrmGNEncounter.setEncountersCreated(aValue: boolean);
begin
  fEncountersCreated := aValue;
  actEditEncounter.Enabled := aValue;
  actNewEncounter.Enabled := not aValue;
  acUpdateBasicEncounter.Enabled := not aValue; // update button
  SendMessage(Application.MainForm.Handle, UM_GNENCOUNTERS_CREATED, 0, 0);
end;

procedure TfrmGNEncounter.setBasicEncounterCreated(aValue: boolean);
begin
  fBasicEncounterCreated := aValue;
  acUpdateBasicEncounter.Enabled := not aValue; // update button
  acUpdateBasicEncounter.Enabled := acUpdateBasicEncounter.Enabled and
    not NotesCreated; // dependence on Notes
end;

procedure TfrmGNEncounter.Paste2Re(aRe: TMemo);
var
  s: String;
begin
  if assigned(aRe) then
  begin
    s := Clipboard.AsText;  // Removing clipboard formatting
    Clipboard.AsText := s;
    aRe.PasteFromClipboard;
  end;
end;

procedure TfrmGNEncounter.Paste3Click(Sender: TObject);
begin
  inherited;
  paste2RE(memIndvNote);
end;

function TfrmGNEncounter.getMinWidth;
var
  i, x: Integer;
begin
  Result := getLabelTextWidth(lblBasicEnct) + bbUpdate.width + GAP * 4;
  if lblBasicEnct.AlignWithMargins then
    Result := Result + lblBasicEnct.Margins.Left + lblBasicEnct.Margins.Right;

  x := 0;
  for i := 0 to pnlToolbar.ControlCount - 1 do
    if pnlToolbar.Controls[i].Visible then
    begin
      if (pnlToolbar.Controls[i] is TButton) or
        (pnlToolbar.Controls[i] is TCheckBox) then
      begin
        x := x + pnlToolbar.Controls[i].width;
        if pnlToolbar.Controls[i].AlignWithMargins then
          x := x + pnlToolbar.Controls[i].Margins.Left + pnlToolbar.Controls[i]
            .Margins.Right;
      end;
    end;
  if Result < x + 12 then
    Result := x + 12;
end;

function TfrmGNEncounter.getPatient: TPatient;
begin
  Result := nil;
  if lstPatients.ItemIndex < 0 then
    exit;
  if GroupEdit then
    exit;
  Result := TPatient(lstPatients.Items.Objects[lstPatients.ItemIndex]);
end;

procedure TfrmGNEncounter.Paste1Click(Sender: TObject);
begin
  inherited;
  Paste2RE(memCommNote);
end;

function TfrmGNEncounter.NotesToSign: Integer;
var
  i: Integer;
  APatientData: TPatientData;
begin
  Result := 0;
  for i := 0 to GNPTList.Count - 1 do
  begin
    APatientData := TPatientData(GNPTList.Items[i]);
    if APatientData.PtNote.SignStatus = SS_SIGNED then
      continue // in case list contains already signed documents
    else
      Inc(Result);
  end;
end;

procedure TfrmGNEncounter.setActionStatus(aData: TPatientData; aGroup: boolean);
var
  iSigned: Integer;
  b: Boolean;
begin
  actNewNote.Enabled := not NotesCreated;
  acErase.Enabled :=  Assigned(aData) or aGroup;
  actNewEncounter.Enabled := not EncountersCreated;

  if aGroup then
  begin
    iSigned := GNPTList.Count - NotesToSign;

    actIdentifyAdditionalSigner.Enabled := iSigned > 0;
    actSaveNoSig.Enabled := NotesCreated and (iSigned < GNPTList.Count);
    actSignNote.Enabled := NotesCreated and (iSigned < GNPTList.Count);
    actChangeNote.Enabled := NotesCreated and (iSigned < GNPTList.Count);
    actEditEncounter.Enabled := EncountersCreated and (iSigned < 1);
  end
  else
  begin
    if assigned(aData) then
    begin
      actIdentifyAdditionalSigner.Enabled := aData.PtNote.SignStatus = SS_SIGNED;

      b := NotesCreated and (aData.PtNote.SignStatus <> SS_SIGNED);
      actSaveNoSig.Enabled := b;
      actSignNote.Enabled := b;
      actChangeNote.Enabled := b;

//20210720 >>>>>>>>
//      actEditEncounter.Enabled := EncountersCreated and
//       (aData.PtNote.SignStatus <> SS_SIGNED);
      actEditEncounter.Enabled := aData.PCEData.HasData;
      actNewEncounter.Enabled := not aData.PCEData.HasData;
//20210720 <<<<<<<<
    end
    else
    begin
      actIdentifyAdditionalSigner.Enabled := false;
      actSaveNoSig.Enabled := false;
      actSignNote.Enabled := false;
      actChangeNote.Enabled := false;

      actEditEncounter.Enabled := false;
      actNewEncounter.Enabled := True; // 20210720
    end;
  end;
end;

initialization

SelectedPatient := '';
StartOver := false;
GroupEdit := false;
ClearNote(BaseNote);

finalization

end.
